// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

extern char *PATH;

FL_EXPORT int fl_unsort(struct dirent **, struct dirent **);

FL_EXPORT int fl_extsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_caseextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_sizesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_datesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_modesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_usersort(struct dirent **, struct dirent **);
FL_EXPORT int fl_groupsort(struct dirent **, struct dirent **);

FL_EXPORT int fl_invalphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invcasealphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invcaseextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invsizesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invdatesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invmodesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invusersort(struct dirent **, struct dirent **);
FL_EXPORT int fl_invgroupsort(struct dirent **, struct dirent **);

FL_EXPORT int fl_dirunsort(struct dirent **, struct dirent **);

FL_EXPORT int fl_diralphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dircasealphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dircaseextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirsizesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirdatesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirmodesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirusersort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirgroupsort(struct dirent **, struct dirent **);

FL_EXPORT int fl_dirinvalphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvcasealphasort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvcaseextsort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvsizesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvdatesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvmodesort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvusersort(struct dirent **, struct dirent **);
FL_EXPORT int fl_dirinvgroupsort(struct dirent **, struct dirent **);

